Bug 1176289 - SELinux is preventing /usr/bin/mv from 'relabelfrom' accesses on the file .
Summary: SELinux is preventing /usr/bin/mv from 'relabelfrom' accesses on the file .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:015f1f069c545fd18ed510602b3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-20 01:26 UTC by Matthew Saltzman
Modified: 2015-01-30 23:54 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 23:54:56 UTC
Type: ---


Attachments (Terms of Use)

Description Matthew Saltzman 2014-12-20 01:26:12 UTC
Description of problem:
SELinux is preventing /usr/bin/mv from 'relabelfrom' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that mv should be allowed relabelfrom access on the  file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep mv /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:texlive_home_t:s0
Target Objects                 [ file ]
Source                        mv
Source Path                   /usr/bin/mv
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           coreutils-8.21-21.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-192.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.16.6-203.fc20.x86_64 #1 SMP Sat
                              Oct 25 12:44:32 UTC 2014 x86_64 x86_64
Alert Count                   3
First Seen                    2014-11-06 15:28:28 EST
Last Seen                     2014-11-06 15:28:30 EST
Local ID                      f34f589e-80c2-4ec7-a388-a91b191b4a96

Raw Audit Messages
type=AVC msg=audit(1415305710.181:4005): avc:  denied  { relabelfrom } for  pid=15228 comm="mv" name="pk15125.tmp" dev="dm-4" ino=9967605 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:texlive_home_t:s0 tclass=file permissive=0


type=SYSCALL msg=audit(1415305710.181:4005): arch=x86_64 syscall=fsetxattr success=no exit=EACCES a0=4 a1=7fffa8363920 a2=1526d10 a3=25 items=0 ppid=15151 pid=15228 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=mv exe=/usr/bin/mv subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: mv,thumb_t,texlive_home_t,file,relabelfrom

Version-Release number of selected component:
selinux-policy-3.12.1-192.fc20.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.17.6-300.fc21.x86_64
type:           libreport

Potential duplicate: bug 1121641

Comment 1 Daniel Walsh 2014-12-23 20:01:34 UTC
This thumb drive seems a little on the dangerous side.

Any idea what thumb nail driver is doing this?

Comment 2 Matthew Saltzman 2014-12-23 20:25:49 UTC
(In reply to Daniel Walsh from comment #1)
> This thumb drive seems a little on the dangerous side.
> 
> Any idea what thumb nail driver is doing this?

No, but if you instruct me on how to identify it, I will check next time I'm near that particular thumb drive.  (It's at the office and I'm at home for the holiday break.)

Comment 3 Daniel Walsh 2015-01-02 12:28:13 UTC
074f147453049d68328eb892f873d51585aa452c fixes this in git.

Comment 4 Fedora Update System 2015-01-27 16:49:33 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 5 Fedora Update System 2015-01-30 04:32:28 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-30 23:54:56 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.